VERSION 5.00
Begin VB.MDIForm MDIForm1 
   BackColor       =   &H8000000C&
   Caption         =   "MDIForm1"
   ClientHeight    =   3045
   ClientLeft      =   165
   ClientTop       =   450
   ClientWidth     =   8880
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   2  'CenterScreen
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open"
      End
      Begin VB.Menu mnuFileSepM 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileMRU 
         Caption         =   "mnuFileMRU"
         Index           =   0
      End
      Begin VB.Menu mnuFileSepB 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpItem 
         Caption         =   "&Info"
         Index           =   0
      End
      Begin VB.Menu mnuHelpItem 
         Caption         =   "&About"
         Index           =   1
      End
   End
End
Attribute VB_Name = "MDIForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' mdiMain - Main MDI form
' 1998/04/05 Copyright 1998, Larry Rebich

    Option Explicit
    DefLng A-Z

Private Sub MDIForm_Load()
    MRUChild.Show
    LoadMnuFileMRU Me               'build the MRU menu items
    BuildMRUCollection              'get current registry entries
    BuildMnuFileMRU Me              'build the MRU menu captions
    SendKeys "%f"                   'show the File menu
End Sub

Private Sub mnuFileExit_Click()
    Unload Me                       'done
End Sub

Private Sub mnuFileMRU_Click(index As Integer)
    mnuFileMRUClick Me, index       'user has selected a file to open from MRU
End Sub

Private Sub mnuFileOpen_Click()
' User has clicked the 'Open' file menu item
    Dim cdl As CDialog          'dim a common dialog
    Set cdl = New CDialog       'initialize it
    With cdl
        .Flags = cdlOFNExplorer Or cdlOFNHideReadOnly
        .Filter = "Any File (*.*)|*.*"
        .DefaultExt = "*.txt"
        .DialogTitle = " Open a File"
        .CancelError = True
        .ShowOpen
        If Not .Cancelled Then
            OpenAnotherDB Me, .Filename, False              'open it
            AddOrUpdateMRUCollection Me, .Filename, Now     'update in registry
        End If
    End With
    Set cdl = Nothing
End Sub

Private Sub mnuHelpItem_Click(index As Integer)
    Select Case index
        Case 0          'info
            DoInfo
        Case 1          'about
            DoAbout
    End Select
End Sub

Private Sub DoInfo()
    Dim obj As Object
    Set obj = GetObject("", "Word.Application")
    With obj
        .Application.Visible = True         'make it visible
        .Application.Activate               'set it active
        .Documents.Open App.Path & "\Readme.doc", True, True    'convert and read-only
    End With
End Sub

Private Sub DoAbout()
    Dim sMsg As String
    Dim sTtl As String
    sMsg = "Copyright  " & Format$(Date, "yyyy") & ", The Bridge, Inc.                " & vbCr & vbCr
    sMsg = sMsg & "Larry Rebich" & vbCr
    sMsg = sMsg & "The Bridge, Inc." & vbCr
    sMsg = sMsg & "913 Hacienda Way" & vbCr
    sMsg = sMsg & "Millbrae, CA  94030" & vbCr & vbCr
    sMsg = sMsg & "650-737-0870" & vbCr
    sMsg = sMsg & "650-737-0871 Fax" & vbCr & vbCr
    sMsg = sMsg & "LRebich@Earthlink.net" & vbCr
    sTtl = " MRU Demo"
    MsgBox sMsg, vbInformation, sTtl
End Sub











